# $Revision: 1.3.2.1 $, $Date: 2003/03/13 00:58:05 $
#
# Conditional build:
# _without_tests - do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Math
%define		pnam	Geometry-GPC
Summary:	Math::Geometry::GPC - Perl wrapper for Alan Murta's gpc library
Summary(pl):	Math::Geometry::GPC - perlowy interfejs do biblioteki gpc Alana Murty
Name:		perl-Math-Geometry-GPC
Version:	1.03
Release:	1
# perl interface is under "Artistic" license, but gpc itself is non-commercial
License:	non-commercial use, freely distributable
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl-devel >= 5.6
BuildRequires:	rpm-perlprov >= 4.0.2-104
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module is just a wrapper around the gpc (Generic Polygon
Clipping) C library written by Alan Murta.

%description -l pl
Ten modu jest interfejsem do biblioteki C gpc (Generic Polygon
Clipping - oglnego obcinania wieloktw).

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL
%{__make} OPTIMIZE="%{rpmcflags}"

%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%dir %{perl_sitearch}/Math/Geometry
%{perl_sitearch}/Math/Geometry/GPC.pm
%dir %{perl_sitearch}/auto/Math/Geometry
%dir %{perl_sitearch}/auto/Math/Geometry/GPC
%{perl_sitearch}/auto/Math/Geometry/GPC/GPC.bs
%attr(755,root,root) %{perl_sitearch}/auto/Math/Geometry/GPC/GPC.so
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Math-Geometry-GPC.spec,v $
Revision 1.3.2.1  2003/03/13 00:58:05  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.3  2003/02/25 00:41:01  radek
- use the __perl macro

Revision 1.2  2003/02/18 15:36:42  ankry
- massive attack: change CPAN URLs

Revision 1.1  2002/12/07 22:59:14  qboosh
- new

